<?php
/**
 * The Midas script to show ads.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: midas/ad.php,v 1.20 2005/01/03 14:35:14 jan Exp $
 */

@define('AUTH_HANDLER', true);
@define('MIDAS_BASE', dirname(__FILE__));
require_once MIDAS_BASE . '/lib/base.php';

/* Get driver used to display ads. */
$driver = Util::getFormData('d');

/* These are filter parameters that can be used to narrow down ads. */
$params = array();
$params['ad_id']    = Util::getFormData('a');
$params['keywords'] = Util::getFormData('k');
$params['type']     = Util::getFormData('t');
/* TODO: the following are not yet supported. */
$params['width']    = Util::getFormData('w');
$params['height']   = Util::getFormData('h');

/* Display the ad. */
echo $campaigns->showAd($driver, $params);

$campaigns->updateCounter($params['ad_id'], 'show');
