<?php
/**
 * The Midas script to jump to advertisers and record clicks.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: midas/go.php,v 1.6 2005/01/03 14:35:14 jan Exp $
 */

@define('AUTH_HANDLER', true);
@define('MIDAS_BASE', dirname(__FILE__));
require_once MIDAS_BASE . '/lib/base.php';

$ad_id = Util::getFormData('a');

$target = $campaigns->getAdUrl($ad_id);
$parts = parse_url($target);
/* If no scheme passed, add 'http'. */
if (empty($parts['scheme'])) {
    $target = 'http://' . $target;
}

/* Update click counter for this ad. */
$campaigns->updateCounter($ad_id, 'click');

/* Pass the url through services/go.php for cleaning of all session
 * data. */
$url = Horde::externalUrl($target);
header('Location: ' . $url);
