-- $Horde: midas/scripts/sql/midas.sql,v 1.2 2004/09/21 03:34:03 chuck Exp $

CREATE TABLE midas_campaigns (
    campaign_id         INT NOT NULL default '0',
    client_id           INT NOT NULL default '0',
    campaign_name       VARCHAR(255) NOT NULL default '',
    campaign_link       VARCHAR(255) NOT NULL default '',
    campaign_start      DATE default NULL,
    campaign_end        DATE default NULL,
    campaign_quantity   INT NOT NULL default '0',
    campaign_keywords   VARCHAR(255) default NULL,
    campaign_type       SMALLINT NOT NULL default '0',
    campaign_ad         TEXT NOT NULL,
    campaign_showings   INT NOT NULL default '0',
    campaign_clicks     INT NOT NULL default '0',
--
    PRIMARY KEY         (campaign_id)
);

CREATE TABLE midas_clients (
    client_id           INT NOT NULL default '0',
    client_name         VARCHAR(255) NOT NULL default '',
--
    PRIMARY KEY         (client_id)
);

GRANT SELECT, INSERT, UPDATE, DELETE ON midas_campaigns TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE ON midas_clients TO horde;
