<?php
/**
 * $Horde: midas/test.php,v 1.5 2003/10/29 19:45:54 chuck Exp $
 */

/* Include Horde's core.php file. */
include_once '../lib/core.php';

/* We should have loaded the String class, from the Horde_Util
 * package, in core.php. If String:: isn't defined, then we're not
 * finding some critical libraries. */
if (!class_exists('String')) {
    echo '<br /><span style="color: red; font-size: 18px; font-weight: bold;">The Horde_Util package was not found. If PHP\'s error_reporting setting is high enough, there should be error messages printed above that may help you in debugging the problem. If you are simply missing these files, then you need to get the <a href="http://cvs.horde.org/cvs.php/framework">framework</a> module from <a href="http://horde.org/source/">Horde CVS</a>, and install the packages in it with the install-packages.php script.</span>';
    exit;
}

require_once './lib/version.php';
$keywords = isset($_GET['keywords']) ? $_GET['keywords'] : null;


/**
 * TODO:
 * Add test for internal api calls
 * Add other system, backend, etc. tests
 */

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<html>
<head>
<title>Midas: System Capabilities Test</title>
<style type="text/css">
<!--
body { font-family: Geneva,Arial,Helvetica,sans-serif; font-size: 10pt; }
td { font-family: Geneva,Arial,Helvetica,sans-serif; font-size: 10pt; }
h1 { font-size: 12pt; color: black; font-family: Verdana,Geneva,Arial,Helvetica,sans-serif; }
-->
</style>
</head>

<body bgcolor="#ffffff" text="#000000">

<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr><td>

<h1>Midas Version</h1>
<ul>
    <li>Midas: <?php echo MIDAS_VERSION ?></li>
</ul>
</td></tr><tr><td>

<h1>Random Output Test</h1>
<b>Call up a random ad through javascript write:</b><br />
<script language="Javascript" src="adjs.php?key=<?php echo htmlspecialchars($keywords) ?>"></script>

</td></tr>
</table>

<form action="test.php" method="get">
Restrict to these keywords:
<input type="text" name="keywords" value="<?php echo htmlspecialchars($keywords) ?>" />
<input type="submit">
</form>

</body></html>
