<?php
/**
 * The Midas script show a list of clients.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: midas/clients/index.php,v 1.9 2005/01/03 14:35:15 jan Exp $
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.9 $
 * @package Midas
 */

@define('MIDAS_BASE', dirname(__FILE__) . '/..');
require_once MIDAS_BASE . '/lib/base.php';

if (!Auth::isAdmin('midas:admin', PERMS_READ)) {
    $notification->push(_("You are not authorised for this action."), 'horde.warning');
    Horde::authenticationFailureRedirect();
}

require MIDAS_TEMPLATES . '/common-header.inc';
require MIDAS_TEMPLATES . '/menu.inc';
$notification->notify(array('listeners' => 'status'));

$clientslist = $clients->getClientsSummary();
require MIDAS_TEMPLATES . '/clients/summary.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
